#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/core/aspnet:3.1-buster-slim AS base
RUN apt-get update && apt-get install -y libgdiplus
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/core/sdk:3.1-buster AS build
WORKDIR /src
COPY ["fleet.portal.dataexport.csproj", ""]
RUN dotnet restore "./fleet.portal.dataexport.csproj"
COPY . .
WORKDIR "/src/."
RUN dotnet build "fleet.portal.dataexport.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "fleet.portal.dataexport.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "fleet.portal.dataexport.dll"]